Bug 164362 - sysutils/pftop fails to compile
Summary: sysutils/pftop fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-22 04:10 UTC by freebsd.users
Modified: 2014-03-29 04:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd.users 2012-01-22 04:10:07 UTC
apogee# portmaster sysutils/pftop

portmaster: sysutils/pftop
===>>> Port directory: /usr/ports/sysutils/pftop

===>>> Gathering distinfo list for installed ports

===>>> Launching 'make checksum' for sysutils/pftop in background
===>>> Gathering dependency list for sysutils/pftop from ports
===>>> No dependencies for sysutils/pftop
]0;portmaster: sysutils/pftop
===>>> Starting build for sysutils/pftop <<<===

===>>> All dependencies are up to date

===>  Cleaning for pftop-0.7_1

===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Extracting for pftop-0.7_1
=> SHA256 Checksum OK for pftop-0.7.tar.gz.
===>  Patching for pftop-0.7_1
===>  Applying FreeBSD patches for pftop-0.7_1
===>  Configuring for pftop-0.7_1
===>  Building for pftop-0.7_1
Warning: Object directory not changed from original /usr/ports/sysutils/pftop/work/pftop-0.7
yacc -d -o sf-grammer.c sf-grammer.y
cc -O2 -pipe -fno-omit-frame-pointer -DHAVE_ALTQ=1 -fno-strict-aliasing  -Wall -DOS_LEVEL=41 -std=gnu99 -fstack-protector  -c pftop.c
pftop.c: In function 'sort_addr_callback':
pftop.c:548: error: 'pf_state_t' has no member named 'af'
pftop.c:550: error: 'pf_state_t' has no member named 'af'
pftop.c:552: error: 'pf_state_t' has no member named 'af'
pftop.c:556: error: 'pf_state_t' has no member named 'lan'
pftop.c:558: error: 'pf_state_t' has no member named 'ext'
pftop.c:562: error: 'pf_state_t' has no member named 'lan'
pftop.c:564: error: 'pf_state_t' has no member named 'ext'
pftop.c: In function 'sort_port_callback':
pftop.c:600: error: 'pf_state_t' has no member named 'af'
pftop.c:602: error: 'pf_state_t' has no member named 'af'
pftop.c:604: error: 'pf_state_t' has no member named 'af'
pftop.c:608: error: 'pf_state_t' has no member named 'lan'
pftop.c:610: error: 'pf_state_t' has no member named 'ext'
pftop.c:614: error: 'pf_state_t' has no member named 'lan'
pftop.c:616: error: 'pf_state_t' has no member named 'ext'
pftop.c: In function 'read_states':
pftop.c:740: warning: pointer targets in passing argument 2 of 'bpf_filter' differ in signedness
pftop.c: In function 'print_state':
pftop.c:956: error: 'pf_state_t' has no member named 'proto'
pftop.c:961: error: 'pf_state_t' has no member named 'proto'
pftop.c:964: error: 'pf_state_t' has no member named 'lan'
pftop.c:964: error: 'pf_state_t' has no member named 'af'
pftop.c:965: error: 'pf_state_t' has no member named 'ext'
pftop.c:965: error: 'pf_state_t' has no member named 'af'
pftop.c:967: error: 'pf_state_t' has no member named 'ext'
pftop.c:967: error: 'pf_state_t' has no member named 'af'
pftop.c:968: error: 'pf_state_t' has no member named 'lan'
pftop.c:968: error: 'pf_state_t' has no member named 'af'
pftop.c:971: error: 'pf_state_t' has no member named 'af'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:971: error: 'pf_state_t' has no member named 'lan'
pftop.c:971: error: 'pf_state_t' has no member named 'gwy'
pftop.c:972: error: 'pf_state_t' has no member named 'lan'
pftop.c:972: error: 'pf_state_t' has no member named 'gwy'
pftop.c:973: error: 'pf_state_t' has no member named 'gwy'
pftop.c:973: error: 'pf_state_t' has no member named 'af'
pftop.c:981: error: 'pf_state_t' has no member named 'proto'
pftop.c: In function 'print_rule':
pftop.c:1478: error: 'struct pf_rule' has no member named 'states'
*** Error code 1

Stop in /usr/ports/sysutils/pftop/work/pftop-0.7.
*** Error code 1

Stop in /usr/ports/sysutils/pftop.

===>>> make failed for sysutils/pftop
===>>> Aborting update

Terminated
Terminated
Terminated

===>>> You can restart from the point of failure with this command line:
       portmaster <flags> sysutils/pftop 

apogee#

How-To-Repeat: Build sysutils/pftop on 9_RELENG.
Comment 1 Edwin Groothuis freebsd_committer 2012-01-22 04:10:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mlaier

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Glen Barber freebsd_committer 2013-02-17 23:46:25 UTC
Any chance this can be fixed?  It has been about a year now.

Script started on Sun Feb 17 18:41:10 2013
root@orion:~ # make -C /usr/ports/sysutils/pftop
===>   pftop-0.7_1 depends on file: /usr/local/sbin/pkg - found
===>  Extracting for pftop-0.7_1
=> SHA256 Checksum OK for pftop-0.7.tar.gz.
===>  Patching for pftop-0.7_1
===>  Applying extra patch /usr/ports/sysutils/pftop/files/extra-patch-cache.c
===>  Applying extra patch /usr/ports/sysutils/pftop/files/extra-patch-cache.h
===>  Applying extra patch /usr/ports/sysutils/pftop/files/extra-patch-config.h
===>  Applying extra patch /usr/ports/sysutils/pftop/files/extra-patch-engine.c
===>  Applying extra patch /usr/ports/sysutils/pftop/files/extra-patch-pftop.c
===>  Applying extra patch /usr/ports/sysutils/pftop/files/extra-patch-sf-gencode.c
===>  Applying FreeBSD patches for pftop-0.7_1
===>  Configuring for pftop-0.7_1
===>  Building for pftop-0.7_1
Warning: Object directory not changed from original /usr/ports/sysutils/pftop/work/pftop-0.7
yacc -d -o sf-grammer.c sf-grammer.y
cc -O2 -pipe -DHAVE_ALTQ=1 -DHAVE_SNPRINTF=1 -DHAVE_VSNPRINTF=1 -fno-strict-aliasing  -Wall -DOS_LEVEL=45 -std=gnu99 -fstack-protector  -c pftop.c
pftop.c: In function 'read_states':
pftop.c:857: warning: pointer targets in passing argument 2 of 'bpf_filter' differ in signedness
cc -O2 -pipe -DHAVE_ALTQ=1 -DHAVE_SNPRINTF=1 -DHAVE_VSNPRINTF=1 -fno-strict-aliasing  -Wall -DOS_LEVEL=45 -std=gnu99 -fstack-protector  -c cache.c
cache.c: In function 'add_state':
cache.c:122: error: subscripted value is neither array nor pointer
cache.c:123: error: subscripted value is neither array nor pointer
cache.c: In function 'cache_state':
cache.c:156: error: subscripted value is neither array nor pointer
cache.c:157: error: subscripted value is neither array nor pointer
*** [cache.o] Error code 1

Stop in /usr/ports/sysutils/pftop/work/pftop-0.7.
*** [do-build] Error code 1

Stop in /usr/ports/sysutils/pftop.
root@orion:~ # ^D

Script done on Sun Feb 17 18:41:19 2013

Glen
Comment 3 Fabian Keil 2013-02-25 20:40:52 UTC
The issue reported by Justin should already be fixed:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/155938

I submitted a fix for the build failures on HEAD in a follow-up to:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175927

Fabian
Comment 4 Mark Linimon freebsd_committer 2013-07-03 03:57:42 UTC
State Changed
From-To: open->feedback

To submitter: has this problem now been resolved? 


Comment 5 Mark Linimon freebsd_committer 2013-07-03 03:57:42 UTC
Responsible Changed
From-To: mlaier->linimon

commit bit has been taken in for safekeeping.
Comment 6 Mark Linimon freebsd_committer 2014-03-29 04:25:04 UTC
State Changed
From-To: feedback->closed

Feedback timeout (> 6 months).